> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trmlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Report



## OpenAPI

````yaml /specs/chainabuse-openapi.yaml get /reports/{reportId}
openapi: 3.0.0
info:
  title: Chainabuse API
  version: 0.1.0
  description: >
    The API uses Basic Authentication to authenticate requests. You can generate
    a new API key from your user profile on Chainabuse.
  contact:
    email: hello@chainabuse.com
servers:
  - url: https://api.chainabuse.com/v0
security:
  - basic: []
paths:
  /reports/{reportId}:
    get:
      tags:
        - Reports
      summary: Get Single Report
      operationId: Report
      parameters:
        - name: reportId
          in: path
          required: true
          description: Id of the report
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportPayload'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - basic: []
components:
  schemas:
    ReportPayload:
      type: object
      required:
        - addresses
        - createdAt
        - trusted
        - id
      properties:
        id:
          type: string
          description: Report ID
        trusted:
          type: boolean
          description: Reported by a contributor registered as trusted on Chainabuse.
        checked:
          type: boolean
        isPrivate:
          type: boolean
        scamCategory:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        description:
          type: string
        descriptionMarkdown:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/ReportAddress'
        losses:
          type: array
          items:
            type: object
            required:
              - amount
              - asset
            properties:
              amount:
                type: number
                format: double
              asset:
                $ref: '#/components/schemas/AssetKind'
        accusedScammers:
          type: array
          items:
            $ref: '#/components/schemas/AccusedScammer'
        evidences:
          type: array
          items:
            type: string
        ips:
          type: array
          items:
            type: string
      example:
        id: 52907745-7672-470e-a803-a2f8feb52944
        trusted: true
        checked: true
        scamCategory: RUG_PULL
        createdAt: '2022-09-09T04:53:16.591Z'
        addresses:
          - address: 12QeMLzSrB8XH8FvEzPMVoRxVAzTr5XM2y
            chain: BTC
            domain: null
          - address: null
            chain: null
            domain: scammer.com
    ErrorResponse:
      type: object
      required:
        - reason
      properties:
        reason:
          type: string
    ReportAddress:
      type: object
      required:
        - domain
        - address
      properties:
        domain:
          type: string
          nullable: true
        chain:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
    AssetKind:
      type: string
      nullable: false
      enum:
        - OTHER
        - BTC
        - ETH
        - TRON
        - SOL
        - POLYGON
        - BINANCE
        - HBAR
        - CARDANO
        - LITECOIN
        - AVALANCHE
        - MULTIVERSX
        - ARBITRUM
        - ALGORAND
        - BASE
        - TON
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XBA
        - XBB
        - XBC
        - XBD
        - XCD
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - XSU
        - XTS
        - XUA
        - XXX
        - YER
        - ZAR
        - ZMW
        - ZWL
    AccusedScammer:
      type: object
      required:
        - info
      properties:
        info:
          type: array
          items:
            type: object
            required:
              - type
              - contact
            properties:
              type:
                $ref: '#/components/schemas/AccusedScammerContactInfoKind'
              contact:
                type: string
    AccusedScammerContactInfoKind:
      type: string
      enum:
        - NAME
        - EMAIL
        - PHONE
        - DISCORD
        - TELEGRAM
        - TWITTER
        - INSTAGRAM
        - GITHUB
        - FACEBOOK
        - WHATSAPP
        - TIKTOK
        - YOUTUBE
        - OTHER
  securitySchemes:
    basic:
      type: http
      scheme: basic

````